[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Documentation about finding correct BerkeleyDB version (ITS#3375)

> Thank you very much for your response!
> After your message cleared me, what was the real prob, I inserted
> following statement before OpenLDAP compilation commands:
> "CFLAGS="-I/usr/local/BerkeleyDB.4.2/include
> -L/usr/local/BerkeleyDB.4.2/lib"
> CPPFLAGS="-I/usr/local/BerkeleyDB.4.2/include
> -L/usr/local/BerkeleyDB.4.2/lib"
> LDFLAGS="-I/usr/local/BerkeleyDB.4.2/include
> -L/usr/local/BerkeleyDB.4.2/lib"", and compilation succeeded. Probably
> statement could be a lot shorter, but after this many hours of failed
> compilations you just want it to work.
> I still think, that documentation about setting these environment
> variables in this BDB mismatch situation should be updated.

This has really not to do with OpenLDAP software, but rather on having an
environment set up properly, which is desirable when compiling/using any

> At least in
> Faq-o-matic, as many thinks were documented, like I did read it about env
> setting and so on, but could not fix problem, as this BDB version mismatch
> thing was not documented.

The Faq-o-matic is interactive.  Feel free to document yourself if you
think it may be useful to others.


Pierangelo Masarati

    SysNet - via Dossi,8 27100 Pavia Tel: +390382573859 Fax: +390382476497